gr::satellites::decode_rs_interleaved Class Reference

<+description of block+> More...

`#include <decode_rs_interleaved.h>`

Inheritance diagram for gr::satellites::decode_rs_interleaved:
[legend]

## Public Types

typedef boost::shared_ptr< decode_rs_interleaved > | sptr

## Static Public Member Functions

static sptr | make (bool verbose, int basis, int codewords)
| Return a shared_ptr to a new instance of satellites::decode_rs_interleaved. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<decode_rs_interleaved> gr::satellites::decode_rs_interleaved::sptr

## Member Function Documentation

## make()

static sptr gr::satellites::decode_rs_interleaved::make | ( | bool | verbose,
|  | int | basis,
|  | int | codewords
| ) |  |

static

Return a shared_ptr to a new instance of satellites::decode_rs_interleaved.

To avoid accidental use of raw pointers, satellites::decode_rs_interleaved's constructor is in a private implementation class. satellites::decode_rs_interleaved::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- decode_rs_interleaved.h